from sqlalchemy import Column, create_engine, func
from sqlalchemy.dialects.postgresql import UUID, VARCHAR, TIMESTAMP, TIME
from sqlalchemy.ext.declarative import declarative_base
from uuid import uuid4

Base = declarative_base()

class TaskParameters(Base):
    __tablename__ = "task_parameters"

    uuid = Column(UUID(as_uuid=True),primary_key=True,default=uuid4)
    type = Column(VARCHAR(50))
    name = Column(VARCHAR(50))
    value = Column(TIME)
    created_at = Column(TIMESTAMP,server_default=func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_manager")
    Base.metadata.create_all(bind=engine)